You are using an unsupported browser. Please update your browser to the latest version on or before July 31, 2020.
close
Home > Access It! Universal.NET > Hardware > ICS Advisory ICSA-22-153-01
ICS Advisory ICSA-22-153-01
print icon

Overview

HID Global announced recently they were made aware of a cybersecurity vulnerabilities within firmware running on Mercury LP and EP4502 Intelligent Controllers. Please note that EP-1501/1502/2500 are not impacted by these vulnerabilities. These issues are being addressed in a firmware release and the EP-4502 firmware is currently available for download. LP firmware is to be available within the first full week of June.

Firmware Update

Specifics on updating firmware within Access It! can be found in KB 110 Updating EP/LP Firmware

More Information
While referencing a different company, this ISCA-22-153-01 advisory does apply to all Mercury-Security partners and contains additional information.

The vulnerabilities will also be discussed at the following conferences:

  • Hardware.io - June 6-10
  • Blackhat - August 6-11


 


scroll to top icon